[arch-commits] Commit in haskell-zlib/trunk (PKGBUILD)

Vesa Kaihlavirta vesa at archlinux.org
Sun Dec 13 02:06:11 EST 2009


    Date: Sunday, December 13, 2009 @ 02:06:10
  Author: vesa
Revision: 61183

$startdir/pkg => $pkgdir

Modified:
  haskell-zlib/trunk/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-13 07:03:12 UTC (rev 61182)
+++ PKGBUILD	2009-12-13 07:06:10 UTC (rev 61183)
@@ -14,14 +14,14 @@
 install=haskell-zlib.install
 
 build() {
-    cd $startdir/src/zlib-$pkgver
+    cd $srcdir/zlib-$pkgver
     runhaskell Setup configure --prefix=/usr || return 1
     runhaskell Setup build                   || return 1
     runhaskell Setup register   --gen-script || return 1
     runhaskell Setup unregister --gen-script || return 1
-    install -D -m744 register.sh   $startdir/pkg/usr/share/haskell/$pkgname/register.sh
-    install    -m744 unregister.sh $startdir/pkg/usr/share/haskell/$pkgname/unregister.sh
-    runhaskell Setup copy --destdir=$startdir/pkg || return 1
-    install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE || return 1
+    install -D -m744 register.sh   $pkgdir/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh $pkgdir/usr/share/haskell/$pkgname/unregister.sh
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
 }
 md5sums=('19859e241dc18ef1501a5d44d8523507')



More information about the arch-commits mailing list